package net.knarcraft.ffmpegconverter.converter.module;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import org.jetbrains.annotations.NotNull;

/**
 * A module for enabling dolby vision encoding
 */
public class DolbyVisionModule implements ConverterModule {

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addOutputFileOption("-dolbyvision", "1", "-x265-params", "\"vbv-bufsize=160000:vbv-maxrate=160000\"");
    }

}
